        IFEQ    FW_VBL_MUSIC_IRQ
        fail    "FW_VBL_MUSIC_IRQ must be enabled"
        ENDC

fw_MusicInit:
        PUTMSG  10,<"Music-Init %p %p">,a0,a1
        bsr.s   LSP_MusicInit
        moveq.l #-1,d0
        move.w  d0,fw_MusicFrameCount(a6)
        lea     fw_MusicPlay(pc),a0
        move.l  a0,fw_MusicTickRoutine(a6)
        PUTMSG  10,<"Music-Init done">
        rts

fw_MusicPlay:
        PUSHM   a4
        bsr.s   LSP_MusicPlayTick
        POPM
        rts

fw_MusicStop:
        clr.l   fw_MusicTickRoutine(a6)
        move.w  #DMAF_AUDIO,dmacon(a5)
        ; unsupported right now
        rts

;--------------------------------------------------------------------
; sets the position if supported
; d0.w = new position
        IFNE    DEBUG_DETAIL
fw_MusicSetPosition EQU LSP_MusicSetPos
        ELSE
fw_MusicSetPosition:
        rts
        ENDC

        include "musicplayers/lightspeedplayer.asm"
